Help save net neutrality! Learn more.
Close

#43 midi input stops working when there is an xrun

git_head
closed
nobody
None
2015-02-01
2013-03-12
No

I think I finally figured out a bit of what is going on with MIDI in qtractor occasionally - requiring me to restart it sometimes.
It seems that after an xrun, qtractor stops responding to all MIDI input (output works fine). Can something be done about this?
The xrun in qjackctl messages window looks like this:
22:58:55.403 XRUN callback (2).
22:58:55.467 XRUN callback (1 skipped).
Tue Mar 12 22:58:55 2013: ERROR: JackEngine::XRun: client = Qtractor was not finished, state = Running
Tue Mar 12 22:58:55 2013: ERROR: JackAudioDriver::ProcessGraphAsyncMaster: Process error
Tue Mar 12 22:58:55 2013: ERROR: JackEngine::XRun: client = Qtractor was not finished, state = Triggered
Tue Mar 12 22:58:55 2013: ERROR: JackAudioDriver::ProcessGraphAsyncMaster: Process error
Tue Mar 12 22:58:55 2013: ERROR: JackAudioDriver::ProcessGraphAsyncMaster: Process error
Tue Mar 12 22:58:55 2013: ERROR: JackAudioDriver::ProcessGraphAsyncMaster: Process error
Tue Mar 12 22:58:55 2013: ERROR: JackAudioDriver::ProcessGraphAsyncMaster: Process error

Discussion

  • Jiří Procházka

    Hmm I don't think it is related to the xrun, now it stopped working again and there was no xrun. Any ideas how to track down the problem?

     
  • Rui Nuno Capela

    Rui Nuno Capela - 2013-03-12

    might be related to ticket #29

    byee

     
  • Jiří Procházka

    Yes, that was the problem it seems, thanks.
    (BTW QT has ways of detecting the style, so you might want to warn the users if they are using the gtk one)

     
  • Rui Nuno Capela

    Rui Nuno Capela - 2013-04-21
    • status: open --> pending
     
  • Rui Nuno Capela

    Rui Nuno Capela - 2013-05-06
    • status: pending --> closed
     

Log in to post a comment.